C API Functions

## udbIsKind

### Description

Return true if the specified kind matches the kind name text.

In order to match the criteria of a list of kind names, a kind must have in its fullname, every name listed in the list of names, and must not have in its fullname, any names listed in the list of names that begin with '~'. An explanation of kind names with examples is provided in Kind Name Usage

Refer to the language-specific listings of entity and reference kinds in the Appendix Entity and Reference Kinds.

### Syntax

     #include "udb/udb.h"
     int udbIsKind( UdbKind kind, char *text)

### Arguments

Argument | description
UdbKind kind | Specify the entity or reference kind
char *text | Specify the kind text as a static string

### Return Values

Return values | description
int | Returns true if the specified kind matches the kind text; false otherwise.

### Example Usage

udbIsKind can be used with entity kinds:

      if (udbIsKind(udbEntityKind(entity),
              "c typedef ~member ~unresolved, c object ~member"))
     { ... }

or reference kinds:

     if (udbIsKind(udbReferenceKind(ref), "call ~callby") )
    { ... }

### See Also

udbEntityKind to get the kind of an entity.

udbIsKindFile to check if the kind is a File kind.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com